Create RFI

Creates a new RFI.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required

The title of the RFI.

string
required

The project ID to which the RFI belongs.

date
required

Due date of the RFI in Y-m-d format.

string
enum
required

Status of the RFI.

Allowed:
string
required

The question or issue described in the RFI.

string | null
enum
Defaults to null

Priority of the RFI. One of: low, medium, high.

Allowed:
string | null
Defaults to null

Person ID of the RFI manager.

string | null
Defaults to null

Official reviewer person ID.

additional_reviewer_ids
array of strings | null
Defaults to null

Array of additional reviewer person IDs.

additional_reviewer_ids
responsible_contractor_ids
array of strings | null
Defaults to null

Array of responsible contractor person IDs.

responsible_contractor_ids
impacted_party_ids
array of strings | null
Defaults to null

Array of person IDs that are impacted.

impacted_party_ids
initial_solution
object
document_ids
array of strings | null
Defaults to null

Uploaded document IDs associated with the RFI. To be uploaded via /v2/pub/files endpoint first.

document_ids
tags
array of strings | null
Defaults to null

Array of tags associated with the RFI.

tags
external_references
array of strings | null
Defaults to null

Array of external reference URLs associated with the RFI.

external_references
string | null
Defaults to null

The source platform from which the RFI is being created.

Responses
201

Created

400

Bad Request

401

Unauthorized

403

Access forbidden

422

Validation error

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!